## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate cookie

Name:           rust-%{crate}0.14
Version:        0.14.4
Release:        %autorelease
Summary:        HTTP cookie parsing and cookie jar management

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/cookie
Source:         %{crates_source}
# Initial patched metadata
# * bump aes-gcm from 0.8 to 0.9
# * bump hkdf from 0.10 to 0.11
# * bump hmac from 0.10 to 0.11
Patch0:         cookie-fix-metadata.diff
# * patch for crypto-mac API changes
#   https://github.com/SergioBenitez/cookie-rs/commit/14b053a
Patch1:         0001-port-to-crypto-mac-0.11.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
HTTP cookie parsing and cookie jar management. Supports signed and private
(encrypted, authenticated) jars.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+aes-gcm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+aes-gcm-devel %{_description}

This package contains library source intended for building other packages which
use the "aes-gcm" feature of the "%{crate}" crate.

%files       -n %{name}+aes-gcm-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+base64-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+base64-devel %{_description}

This package contains library source intended for building other packages which
use the "base64" feature of the "%{crate}" crate.

%files       -n %{name}+base64-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+hkdf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hkdf-devel %{_description}

This package contains library source intended for building other packages which
use the "hkdf" feature of the "%{crate}" crate.

%files       -n %{name}+hkdf-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+hmac-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hmac-devel %{_description}

This package contains library source intended for building other packages which
use the "hmac" feature of the "%{crate}" crate.

%files       -n %{name}+hmac-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+key-expansion-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+key-expansion-devel %{_description}

This package contains library source intended for building other packages which
use the "key-expansion" feature of the "%{crate}" crate.

%files       -n %{name}+key-expansion-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+percent-encode-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+percent-encode-devel %{_description}

This package contains library source intended for building other packages which
use the "percent-encode" feature of the "%{crate}" crate.

%files       -n %{name}+percent-encode-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+percent-encoding-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+percent-encoding-devel %{_description}

This package contains library source intended for building other packages which
use the "percent-encoding" feature of the "%{crate}" crate.

%files       -n %{name}+percent-encoding-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+private-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+private-devel %{_description}

This package contains library source intended for building other packages which
use the "private" feature of the "%{crate}" crate.

%files       -n %{name}+private-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-devel %{_description}

This package contains library source intended for building other packages which
use the "rand" feature of the "%{crate}" crate.

%files       -n %{name}+rand-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+secure-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+secure-devel %{_description}

This package contains library source intended for building other packages which
use the "secure" feature of the "%{crate}" crate.

%files       -n %{name}+secure-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+sha2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sha2-devel %{_description}

This package contains library source intended for building other packages which
use the "sha2" feature of the "%{crate}" crate.

%files       -n %{name}+sha2-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+signed-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+signed-devel %{_description}

This package contains library source intended for building other packages which
use the "signed" feature of the "%{crate}" crate.

%files       -n %{name}+signed-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
%cargo_test -a
%endif

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.14.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 09 2021 Fabio Valentini <decathorpe@gmail.com> 0.14.4-1
- Initial import (cookie 0.14.4 compat package)
